Name:		proxycheck
Summary:	Open proxy checker
Version:	0.49a
Release:	1
License:	GPL
Group:		Applications/Internet
Packager:	Paul Howarth <paul@city-fan.org>
URL:		http://www.corpit.ru/mjt/proxycheck.html
Source0:	http://www.corpit.ru/mjt/%{name}/%{name}-%{version}.tar.gz
Patch0:		proxycheck-0.49a-janitorial.patch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
proxycheck is a simple tool that will quickly check whenever a given
host or set of hosts has open proxy server running. It understands 4
types of proxy servers: HTTP proxies that allows you to CONNECT to any
host:port, SOCKS v4 and v5 proxies, wingate "telnet" proxy servers of
various kinds (incl. e.g. CCProxy variants and others), and FTP proxies
that are able to create transparent connections.

proxycheck is able to test many different IP addresses and ports
simultaneously, to speed up testing. It will try to open as many connections
in parallel as allows by your system's resources, or up to a specified limit.
So it is possible to scan whole networks using this tool. But be warned that
doing so may be not what owners of those networks like.

%prep
%setup -q
%patch0 -p0

%build
./configure
%{__make}
%{__make} proxylogger

%install
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf "$RPM_BUILD_ROOT"
%{__mkdir} -p $RPM_BUILD_ROOT%{_mandir}/man{1,3}
%{__mkdir} -p $RPM_BUILD_ROOT%{_bindir}
%{__install} -m 755 proxycheck $RPM_BUILD_ROOT%{_bindir}
%{__install} -m 755 proxylogger $RPM_BUILD_ROOT%{_bindir}
%{__install} -m 644 proxycheck.1 $RPM_BUILD_ROOT%{_mandir}/man1
%{__install} -m 644 event.3 $RPM_BUILD_ROOT%{_mandir}/man3

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf "$RPM_BUILD_ROOT"

%files 
%defattr(-,root,root)
%{_bindir}/proxycheck
%{_bindir}/proxylogger
%{_mandir}/man1/*
%{_mandir}/man3/*
%doc CHANGES

%changelog 
* Fri Jun 18 2004 Paul Howarth <paul@city-fan.org> 0.49a-1
- Update to 0.49a

* Thu Mar 04 2004 Paul Howarth <paul@city-fan.org> 0.46-2
- Added cookie_alarm.patch

* Wed Mar 03 2004 Paul Howarth <paul@city-fan.org> 0.46-1
- Update to 0.46.

* Fri Nov 28 2003 Paul Howarth <paul@city-fan.org> 0.45a-1
- Initial RPM build.
